    ifndef _tools_asm
        #define _tools_asm



;**************************************************
;
; (C)    
;
;   .
; Copyright 2003  .
; OE1RIB Richard.Prinz@MIN.at
;
;  ,  ,    
;     , 
;
; 1)         
;    
;
; 2)      
; .
;
;     
;      
;   -     .
;
;   - -  -   .
;
;**************************************************

;**************************************************
; 
; 
; DELAY_H   msb
; DELAY_L   lsb
;  {}  16  ,  .
;      1ms to 65535ms
; ( 1min), 1min  EA60 (60000)
;
;  4MHz, 1000    1ms
;     .
;     5  
;   1   . 
;     -  + 6
;**************************************************

Delay
        ifdef Debug
            return
        else
            comf        DELAY_H,f   ; 1     1
            comf        DELAY_L,f   ; 1     1
            incf        DELAY_L,f   ; 1     1
            btfsc       STATUS,Z    ; 1/2   1/2
            incf        DELAY_H,f   ; 1     1
; ------------------------------------- = 5   etry


;    1000  
;  4MHz    4 
; 
; 1000   = 1ms
; --------------------------------------------
Delay01
            movlw       D'248'      ; 1     1
            movwf       DELAY_T     ; 1     1
Delay02
            nop                     ; 1     248x1
            decfsz      DELAY_T,f   ; 1/2   247x1 + 1x2
            goto        Delay02     ; 2     247x2
            nop                     ; 1     1
            nop                     ; 1     1
; ------------------------------------- = 995 

            incf        DELAY_L,f   ; 1     1
            btfsc       STATUS,Z    ; 1/2   1/2
            incfsz      DELAY_H,f   ; 1/2   1/2
            goto        Delay01     ; 2     2    5
; ------------------------------------- = 5 

            return                  ; 2       5  + 1
; ------------------------------------- = 6 

        endif
DelayEnd        
        if (high (Delay) != high (DelayEnd) )
            MESSG "Procedure (Delay) hits page boundary!"
        endif



    endif
    
